Package: org.codehaus.groovy.tools.shell

## [Groovy] Class Parser

- org.codehaus.groovy.tools.shell.Parser

- Provides a facade over the parser to recognize valid Groovy syntax.

  Authors:
    Jason Dillon

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `NEWLINE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Parser ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ParseStatus` | `parse(Collection<String> buffer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String NEWLINE

  - ### Constructor Detail

    - #### Parser()

  - ### Method Detail

    - #### ParseStatus parse(Collection<String> buffer)